org.eclipse.rdf4j.sail.shacl.config

## Class ShaclSailConfig

- java.lang.Object
- - org.eclipse.rdf4j.sail.config.AbstractSailImplConfig
  - - org.eclipse.rdf4j.sail.config.AbstractDelegatingSailImplConfig
    - - org.eclipse.rdf4j.sail.shacl.config.ShaclSailConfig

- All Implemented Interfaces:
    DelegatingSailImplConfig, SailImplConfig

      public class ShaclSailConfig
      extends AbstractDelegatingSailImplConfig

  A `SailImplConfig` for `ShaclSail` configuration.
  Author:
    Jeen Broekstra

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static boolean` | `CACHE_SELECT_NODES_DEFAULT`
    `static boolean` | `DASH_DATA_SHAPES_DEFAULT`
    `static boolean` | `ECLIPSE_RDF4J_SHACL_EXTENSIONS_DEFAULT`
    `static boolean` | `GLOBAL_LOG_VALIDATION_EXECUTION_DEFAULT`
    `static boolean` | `IGNORE_NO_SHAPES_LOADED_EXCEPTION_DEFAULT`
    `static boolean` | `LOG_VALIDATION_PLANS_DEFAULT`
    `static boolean` | `LOG_VALIDATION_VIOLATIONS_DEFAULT`
    `static boolean` | `PARALLEL_VALIDATION_DEFAULT`
    `static boolean` | `PERFORMANCE_LOGGING_DEFAULT`
    `static boolean` | `RDFS_SUB_CLASS_REASONING_DEFAULT`
    `static boolean` | `SERIALIZABLE_VALIDATION_DEFAULT`
    `static boolean` | `UNDEFINED_TARGET_VALIDATES_ALL_SUBJECTS_DEFAULT`
    `static boolean` | `VALIDATION_ENABLED_DEFAULT`
    `static long` | `VALIDATION_RESULTS_LIMIT_PER_CONSTRAINT_DEFAULT`
    `static long` | `VALIDATION_RESULTS_LIMIT_TOTAL_DEFAULT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ShaclSailConfig()`
    `ShaclSailConfig(SailImplConfig delegate)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `Resource` | `export(Model m)`
    `long` | `getValidationResultsLimitPerConstraint()`
    `long` | `getValidationResultsLimitTotal()`
    `boolean` | `isCacheSelectNodes()`
    `boolean` | `isDashDataShapes()`
    `boolean` | `isEclipseRdf4jShaclExtensions()`
    `boolean` | `isGlobalLogValidationExecution()`
    `boolean` | `isIgnoreNoShapesLoadedException()` Deprecated.
    `boolean` | `isLogValidationPlans()`
    `boolean` | `isLogValidationViolations()`
    `boolean` | `isParallelValidation()`
    `boolean` | `isPerformanceLogging()`
    `boolean` | `isRdfsSubClassReasoning()`
    `boolean` | `isSerializableValidation()`
    `boolean` | `isUndefinedTargetValidatesAllSubjects()` Deprecated.
    `boolean` | `isValidationEnabled()`
    `void` | `parse(Model m, Resource implNode)`
    `void` | `setCacheSelectNodes(boolean cacheSelectNodes)`
    `void` | `setDashDataShapes(boolean dashDataShapes)`
    `void` | `setEclipseRdf4jShaclExtensions(boolean eclipseRdf4jShaclExtensions)`
    `void` | `setGlobalLogValidationExecution(boolean globalLogValidationExecution)`
    `void` | `setIgnoreNoShapesLoadedException(boolean ignoreNoShapesLoadedException)` Deprecated.
    `void` | `setLogValidationPlans(boolean logValidationPlans)`
    `void` | `setLogValidationViolations(boolean logValidationViolations)`
    `void` | `setParallelValidation(boolean parallelValidation)`
    `void` | `setPerformanceLogging(boolean performanceLogging)`
    `void` | `setRdfsSubClassReasoning(boolean rdfsSubClassReasoning)`
    `void` | `setSerializableValidation(boolean serializableValidation)`
    `void` | `setUndefinedTargetValidatesAllSubjects(boolean undefinedTargetValidatesAllSubjects)` Deprecated.
    `void` | `setValidationEnabled(boolean validationEnabled)`
    `void` | `setValidationResultsLimitPerConstraint(long validationResultsLimitPerConstraint)`
    `void` | `setValidationResultsLimitTotal(long validationResultsLimitTotal)`

    - ### Methods inherited from class org.eclipse.rdf4j.sail.config.AbstractDelegatingSailImplConfig

      `getDelegate, setDelegate, validate`

    - ### Methods inherited from class org.eclipse.rdf4j.sail.config.AbstractSailImplConfig

      `getConnectionTimeOut, getIterationCacheSyncThreshold, getType, setConnectionTimeOut, setIterationCacheSyncThreshold, setType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.sail.config.SailImplConfig

      `getIterationCacheSyncThreshold, getType`

- - ### Field Detail

    - #### PARALLEL_VALIDATION_DEFAULT

          public static final boolean PARALLEL_VALIDATION_DEFAULT

      See Also:
        Constant Field Values

    - #### UNDEFINED_TARGET_VALIDATES_ALL_SUBJECTS_DEFAULT

          public static final boolean UNDEFINED_TARGET_VALIDATES_ALL_SUBJECTS_DEFAULT

      See Also:
        Constant Field Values

    - #### LOG_VALIDATION_PLANS_DEFAULT

          public static final boolean LOG_VALIDATION_PLANS_DEFAULT

      See Also:
        Constant Field Values

    - #### LOG_VALIDATION_VIOLATIONS_DEFAULT

          public static final boolean LOG_VALIDATION_VIOLATIONS_DEFAULT

      See Also:
        Constant Field Values

    - #### IGNORE_NO_SHAPES_LOADED_EXCEPTION_DEFAULT

          public static final boolean IGNORE_NO_SHAPES_LOADED_EXCEPTION_DEFAULT

      See Also:
        Constant Field Values

    - #### VALIDATION_ENABLED_DEFAULT

          public static final boolean VALIDATION_ENABLED_DEFAULT

      See Also:
        Constant Field Values

    - #### CACHE_SELECT_NODES_DEFAULT

          public static final boolean CACHE_SELECT_NODES_DEFAULT

      See Also:
        Constant Field Values

    - #### GLOBAL_LOG_VALIDATION_EXECUTION_DEFAULT

          public static final boolean GLOBAL_LOG_VALIDATION_EXECUTION_DEFAULT

      See Also:
        Constant Field Values

    - #### RDFS_SUB_CLASS_REASONING_DEFAULT

          public static final boolean RDFS_SUB_CLASS_REASONING_DEFAULT

      See Also:
        Constant Field Values

    - #### PERFORMANCE_LOGGING_DEFAULT

          public static final boolean PERFORMANCE_LOGGING_DEFAULT

      See Also:
        Constant Field Values

    - #### SERIALIZABLE_VALIDATION_DEFAULT

          public static final boolean SERIALIZABLE_VALIDATION_DEFAULT

      See Also:
        Constant Field Values

    - #### ECLIPSE_RDF4J_SHACL_EXTENSIONS_DEFAULT

          public static final boolean ECLIPSE_RDF4J_SHACL_EXTENSIONS_DEFAULT

      See Also:
        Constant Field Values

    - #### DASH_DATA_SHAPES_DEFAULT

          public static final boolean DASH_DATA_SHAPES_DEFAULT

      See Also:
        Constant Field Values

    - #### VALIDATION_RESULTS_LIMIT_TOTAL_DEFAULT

          public static final long VALIDATION_RESULTS_LIMIT_TOTAL_DEFAULT

      See Also:
        Constant Field Values

    - #### VALIDATION_RESULTS_LIMIT_PER_CONSTRAINT_DEFAULT

          public static final long VALIDATION_RESULTS_LIMIT_PER_CONSTRAINT_DEFAULT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ShaclSailConfig

          public ShaclSailConfig()

    - #### ShaclSailConfig

          public ShaclSailConfig(SailImplConfig delegate)

  - ### Method Detail

    - #### isUndefinedTargetValidatesAllSubjects

          @Deprecated
          public boolean isUndefinedTargetValidatesAllSubjects()

      Deprecated.

    - #### setUndefinedTargetValidatesAllSubjects

          @Deprecated
          public void setUndefinedTargetValidatesAllSubjects(boolean undefinedTargetValidatesAllSubjects)

      Deprecated.

    - #### isLogValidationPlans

          public boolean isLogValidationPlans()

    - #### setLogValidationPlans

          public void setLogValidationPlans(boolean logValidationPlans)

    - #### isLogValidationViolations

          public boolean isLogValidationViolations()

    - #### setLogValidationViolations

          public void setLogValidationViolations(boolean logValidationViolations)

    - #### isGlobalLogValidationExecution

          public boolean isGlobalLogValidationExecution()

    - #### setGlobalLogValidationExecution

          public void setGlobalLogValidationExecution(boolean globalLogValidationExecution)

    - #### isIgnoreNoShapesLoadedException

          @Deprecated
          public boolean isIgnoreNoShapesLoadedException()

      Deprecated.

    - #### setIgnoreNoShapesLoadedException

          @Deprecated
          public void setIgnoreNoShapesLoadedException(boolean ignoreNoShapesLoadedException)

      Deprecated.

    - #### isValidationEnabled

          public boolean isValidationEnabled()

    - #### setValidationEnabled

          public void setValidationEnabled(boolean validationEnabled)

    - #### isParallelValidation

          public boolean isParallelValidation()

    - #### setParallelValidation

          public void setParallelValidation(boolean parallelValidation)

    - #### isCacheSelectNodes

          public boolean isCacheSelectNodes()

    - #### setCacheSelectNodes

          public void setCacheSelectNodes(boolean cacheSelectNodes)

    - #### isRdfsSubClassReasoning

          public boolean isRdfsSubClassReasoning()

    - #### setRdfsSubClassReasoning

          public void setRdfsSubClassReasoning(boolean rdfsSubClassReasoning)

    - #### isPerformanceLogging

          public boolean isPerformanceLogging()

    - #### setPerformanceLogging

          public void setPerformanceLogging(boolean performanceLogging)

    - #### isSerializableValidation

          public boolean isSerializableValidation()

    - #### setSerializableValidation

          public void setSerializableValidation(boolean serializableValidation)

    - #### isEclipseRdf4jShaclExtensions

          @Experimental
          public boolean isEclipseRdf4jShaclExtensions()

    - #### setEclipseRdf4jShaclExtensions

          @Experimental
          public void setEclipseRdf4jShaclExtensions(boolean eclipseRdf4jShaclExtensions)

    - #### isDashDataShapes

          @Experimental
          public boolean isDashDataShapes()

    - #### setDashDataShapes

          @Experimental
          public void setDashDataShapes(boolean dashDataShapes)

    - #### getValidationResultsLimitTotal

          public long getValidationResultsLimitTotal()

    - #### getValidationResultsLimitPerConstraint

          public long getValidationResultsLimitPerConstraint()

    - #### setValidationResultsLimitTotal

          public void setValidationResultsLimitTotal(long validationResultsLimitTotal)

    - #### setValidationResultsLimitPerConstraint

          public void setValidationResultsLimitPerConstraint(long validationResultsLimitPerConstraint)

    - #### export

          public Resource export(Model m)

      Specified by:
        `export` in interface `SailImplConfig`
      Overrides:
        `export` in class `AbstractDelegatingSailImplConfig`

    - #### parse

          public void parse(Model m,
                            Resource implNode)
                     throws SailConfigException

      Specified by:
        `parse` in interface `SailImplConfig`
      Overrides:
        `parse` in class `AbstractDelegatingSailImplConfig`
      Throws:
        `SailConfigException`

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.